Subject: Allow the activation of packages during runtime
Description

Due to the nature of the Flow Package Manager, packages cannot be activated and directly used during runtime. Before the Package
Manager it was possible to activate/deactivate extensions in AdditionalConfiguration.php under certain custom conditions.

This should be made possible again, but with the limitations that packages can just be activated for runtime usage, not deactivated
and cannot introduce own class alias mappings.

The ExtensionManager can use this too to load a package after activation until the end of the request and perform further updates of
the caching framework and category api.

Associated revisions
Revision a4c96cfa - 2013-12-18 21:05 - Thomas Maroschik

[FEATURE] Allow the activation of packages during runtime

Due to the nature of the Flow Package Manager, packages cannot
be activated and directly used during runtime. Before the Package
Manager it was possible to activate/deactivate extensions in
AdditionalConfiguration.php under certain custom conditions.

This patch introduces a new setting in $GLOBALS['TYPO3_CONF_VARS']
['EXT']['runtimeActivatedPackages'] = array('{packageKey}') that
gets initialized right after the package management initialization.

Resolves: #53015
Releases: 6.2
Change-Id: Id3b85a3feb00876d2a04a02e85450a4568eb5bff
Reviewed-on: https://review.typo3.org/24939
Reviewed-by: Thomas Maroschik
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Tested-by: Alexander Stehlik
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Markus Klein
Tested-by: Markus Klein
History
#1 - 2013-10-21 19:12 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24939

#2 - 2013-12-06 10:43 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24939

#3 - 2013-12-06 12:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24939

#4 - 2013-12-18 19:49 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24939

#5 - 2013-12-18 21:31 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a4c96cfa2f9178ab0bfce78e6985dc4b6ed7f332.

#6 - 2014-02-12 10:04 - Ernesto Baschny
- Parent task set to #47018
